Name:       python-keystoneclient
# Since folsom-2 OpenStack clients follow their own release plan
# and restarted version numbering from 0.1.1
# https://lists.launchpad.net/openstack/msg14248.html
Epoch:      1
Version:    0.1.3.27
Release:    %mkrel 2
Summary:    Python API and CLI for OpenStack Keystone

Group:      Development/Python
License:    ASL 2.0
URL:        https://github.com/openstack/python-keystoneclient
BuildArch:  noarch

#Source0:    https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Source0:    http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz


# https://review.openstack.org/5353
Patch1: avoid-No-handlers-could-be-found.patch

Requires:   python-httplib2 >= 0.7
Requires:   python-prettytable
Requires:   python-setuptools
Requires:   python-simplejson

BuildRequires: python-devel
BuildRequires: python-setuptools

%description
Client library and command line utility for interacting with Openstack
Keystone's API.

%package doc
Summary:    Documentation for OpenStack Keystone API Client
Group:      Documentation

BuildRequires: python-sphinx

%description doc
Documentation for the client library for interacting with Openstack
Keystone's API.

%prep
%setup -q
%patch1 -p1
# Remove bundled egg-info
rm -rf python_keystoneclient.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
pushd doc
make html
popd
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo

%files
%doc README.rst
%{_bindir}/keystone
%{python_sitelib}/keystoneclient
%{python_sitelib}/*.egg-info

%files doc
%doc LICENSE doc/build/html



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:0.1.3.27-2.mga3
+ Revision: 379036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1:0.1.3.27-1.mga3
+ Revision: 314203
- imported package python-keystoneclient

